## platform-platform-2.0.1.tar.gz

=== CMakeLists.txt ===
project(platform)

cmake_minimum_required(VERSION 2.8.9)
enable_language(CXX)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${PROJECT_SOURCE_DIR})

find_package(Threads REQUIRED)
include(UseMultiArch.cmake)
include(CheckAtomic.cmake)

set(platform_NAME platform)
set(platform_DESCRIPTION "Platform support library")
set(platform_VERSION_MAJOR 2)
set(platform_VERSION_MINOR 0)
set(platform_VERSION_PATCH 1)

set(CMAKE_POSITION_INDEPENDENT_CODE on)

if(WIN32)
  set(PLAT_SOURCES src/windows/dlfcn-win32.cpp
                   src/windows/os-threads.cpp)
endif()

set(platform_INCLUDE_DIRS "${CMAKE_INSTALL_PREFIX}/include/platform")
IF(WIN32)
  LIST(APPEND platform_INCLUDE_DIRS "${CMAKE_INSTALL_PREFIX}/include/platform/windows")
ENDIF(WIN32)
set(platform_LIBRARIES ${CMAKE_THREAD_LIBS_INIT})

if(NOT ${CORE_SYSTEM_NAME} STREQUAL "")
  if(${CORE_SYSTEM_NAME} STREQUAL "osx" OR ${CORE_SYSTEM_NAME} STREQUAL "ios")
    list(APPEND platform_LIBRARIES "-framework CoreVideo -framework IOKit")
  endif()
endif()

set(SOURCES src/util/StringUtils.cpp)

add_library(platform ${SOURCES} ${PLAT_SOURCES})
target_link_libraries(platform ${platform_LIBRARIES})
set_target_properties(platform PROPERTIES VERSION ${platform_VERSION_MAJOR}.${platform_VERSION_MINOR}.${platform_VERSION_PATCH}
                                              SOVERSION ${platform_VERSION_MAJOR}.0)

install(TARGETS platform DESTINATION ${CMAKE_INSTALL_LIBDIR})
install(FILES src/os.h DESTINATION include/platform)
IF(WIN32)
  INSTALL(FILES src/windows/dlfcn-win32.h
                src/windows/os-socket.h
                src/windows/os-threads.h
                src/windows/os-types.h
          DESTINATION include/platform/windows)
ELSE(WIN32)
  install(FILES src/posix/os-socket.h
                src/posix/os-threads.h
                src/posix/os-types.h
          DESTINATION include/platform/posix)
ENDIF(WIN32)
install(FILES src/sockets/cdevsocket.h
              src/sockets/socket.h
              src/sockets/tcp.h
        DESTINATION include/platform/sockets)
install(FILES src/threads/atomics.h
              src/threads/mutex.h
              src/threads/threads.h
        DESTINATION include/platform/threads)
install(FILES src/util/atomic.h
              src/util/buffer.h
              src/util/StringUtils.h
              src/util/StdString.h
              src/util/timeutils.h
              src/util/util.h
        DESTINATION include/platform/util)

IF(NOT WIN32)
  configure_file(platform.pc.in platform.pc @ONLY)
  install(FILES ${CMAKE_BINARY_DIR}/platform.pc
          DESTINATION ${CMAKE_INSTALL_LIBDIR_NOARCH}/pkgconfig)
ENDIF(NOT WIN32)

# config mode
configure_file (platform-config.cmake.in
                platform-config.cmake @ONLY)
install(FILES ${CMAKE_BINARY_DIR}/platform-config.cmake
        DESTINATION ${CMAKE_INSTALL_LIBDIR_NOARCH}/platform)

=== debian/changelog ===
platform (2.0.1-1~trusty) trusty; urgency=medium

  * backport: Avoid that cmake removes variables from pkg-config file

 -- Pulse-Eight Packaging <packaging@pulse-eight.com>  Tue, 19 Jan 2016 20:48:37 +0100

platform (2.0.0-1~trusty) trusty; urgency=medium

  * removed: fstrcmp and StringUtils::CompareFuzzy() +
    StringUtils::FindBestMatch() because of an incompatible license

 -- Pulse-Eight Packaging <packaging@pulse-eight.com>  Tue, 01 Dec 2015 02:48:06 +0100

platform (1.0.10-1~trusty) trusty; urgency=medium

  * fixed: posix socket return value for connect

 -- Pulse-Eight Packaging <packaging@pulse-eight.com>  Tue, 30 Jun 2015 10:53:06 +0100

platform (1.0.9-1~trusty) trusty; urgency=medium

  * fixed: add missing stdio.h include in windows/os-socket.h

 -- Pulse-Eight Packaging <packaging@pulse-eight.com>  Wed, 13 May 2015 10:01:43 +0100

platform (1.0.8-1~trusty) trusty; urgency=medium

  * added: cdevsocket.h character device socket
  * fixed: guards for #defines on OS X and iOS for values already defined in
    CFPlugInCOM.h

 -- Pulse-Eight Packaging <packaging@pulse-eight.com>  Mon, 11 May 2015 09:33:17 +0100

platform (1.0.7-1~trusty) trusty; urgency=medium

  * fixed: include on OS X

 -- Pulse-Eight Packaging <packaging@pulse-eight.com>  Fri, 08 May 2015 22:15:23 +0100

platform (1.0.6-1~trusty) trusty; urgency=medium

  * fixed: add include path and link the threads lib
  * (re-)added: public Reset() function in CEvent
  * sync UseMultiArch.cmake

 -- Pulse-Eight Packaging <packaging@pulse-eight.com>  Thu, 07 May 2015 21:20:00 +0100

platform (1.0.5-1~trusty) trusty; urgency=medium

  * fixed: missing #include <string> in socket.h

 -- Pulse-Eight Packaging <packaging@pulse-eight.com>  Mon, 04 May 2015 01:29:00 +0100

platform (1.0.4-1~trusty) trusty; urgency=medium

  * proper platform.pc.in fix

 -- Pulse-Eight Packaging <packaging@pulse-eight.com>  Sun, 03 May 2015 21:56:00 +0100

platform (1.0.3-1~trusty) trusty; urgency=medium

  * platform.pc.in fix

 -- Pulse-Eight Packaging <packaging@pulse-eight.com>  Fri, 01 May 2015 14:38:00 +0100

platform (1.0.2-1~trusty) trusty; urgency=medium

  * Build fixes

 -- Pulse-Eight Packaging <packaging@pulse-eight.com>  Fri, 01 May 2015 01:38:00 +0100

platform (1.0.0-1~trusty) trusty; urgency=medium

  * Initial release

 -- Pulse-Eight Packaging <packaging@pulse-eight.com>  Thu, 12 Mar 2015 13:35:07 +0100

=== debian/control ===
Source: platform
Priority: extra
Maintainer: Lars Op den Kamp <lars.opdenkamp@pulse-eight.com>
Build-Depends: debhelper (>= 8.0.0), cmake (>= 2.8.9)
Standards-Version: 3.9.2
Section: libs

Package: libplatform-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libplatform2 (= ${binary:Version})
Provides: libplatform-dev
Description: Platform support library -- development files
 Platform support library

Package: libplatform2
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: libplatform
Description: Platform support library
 Platform support library
